Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RSAPkcsPssParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.RSAPkcsParameters
            |
            +--iaik.pkcs.pkcs11.parameters.RSAPkcsPssParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class RSAPkcsPssParameters
extends RSAPkcsParameters

This class encapsulates parameters for the Mechanism.RSA_PKCS_PSS.

Version:
  1.0
Author:
  Karl Scheibelhofer

Inner classes inherited from class iaik.pkcs.pkcs11.parameters.RSAPkcsParameters
`RSAPkcsParameters.MessageGenerationFunctionType`

Field Summary
`protected long` | `saltLength_` The length of the salt value in octets.

Fields inherited from class iaik.pkcs.pkcs11.parameters.RSAPkcsParameters
`hashAlgorithm_, maskGenerationFunction_`

Constructor Summary
`RSAPkcsPssParameters(Mechanism hashAlgorithm, long maskGenerationFunction, long saltLength)` Create a new RSAPkcsOaepParameters object with the given attributes.

Method Summary
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_RSA_PKCS_PSS_PARAMS class.
`long` | `getSaltLength()` Get the length of the salt value in octets.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setSaltLength(long saltLength)` Set the length of the salt value in octets.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class iaik.pkcs.pkcs11.parameters.RSAPkcsParameters
`clone, getHashAlgorithm, getMaskGenerationFunction, setHashAlgorithm, setMaskGenerationFunction`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### saltLength_

    protected long saltLength_

  The length of the salt value in octets.

Constructor Detail

### RSAPkcsPssParameters

    public RSAPkcsPssParameters(Mechanism hashAlgorithm,
                                long maskGenerationFunction,
                                long saltLength)

  Create a new RSAPkcsOaepParameters object with the given attributes.
  Parameters:
    `hashAlgorithm` - The message digest algorithm used to calculate the digest of the encoding parameter.
    `maskGenerationFunction` - The mask to apply to the encoded block. One of the constants defined in the MessageGenerationFunctionType interface.
    `saltLength` - The length of the salt value in octets.

Method Detail

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_RSA_PKCS_PSS_PARAMS class.
  Returns:
    This object as a CK_RSA_PKCS_PSS_PARAMS object.

### getSaltLength

    public long getSaltLength()

  Get the length of the salt value in octets.
  Returns:
    The length of the salt value in octets.

### setSaltLength

    public void setSaltLength(long saltLength)

  Set the length of the salt value in octets.
  Parameters:
    `saltLength` - The length of the salt value in octets.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `RSAPkcsParameters`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `RSAPkcsParameters`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `RSAPkcsParameters`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18